Bug 123794 - RFE: additional documentation in hardware.conf for s390/s390x
RFE: additional documentation in hardware.conf for s390/s390x
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
2
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 12:04 EDT by Brock Organ
Modified: 2007-04-18 13:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 11:46:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample hardware.conf with included s390/s390x documentation (3.72 KB, text/plain)
2004-05-20 12:10 EDT, Brock Organ
no flags Details

  None (edit)
Description Brock Organ 2004-05-20 12:04:14 EDT
* RHEL3 U2 s390-as
* rhr certification testing
* using rhr2-tests-0.9-14.2, rhr2-externals-0.9-14.2, rhr2-0.9-14.2
* crafting hardware.conf script for s390/s390x

when generating the hardware.conf file on s390/s390x, it would be very
useful to include testing samples for the following configurations:

* qdio
* ctc
* hipersockets
* dasd
* SCSI w/zfcp
* tape 

please see attached hardware.conf file for documentation that includes
the above items ...
Comment 1 Brock Organ 2004-05-20 12:10:16 EDT
Created attachment 100380 [details]
sample hardware.conf with included s390/s390x documentation
Comment 2 Rob Landry 2004-05-21 12:36:28 EDT
The alternative is if we can find any particular way to determine if
these are available, dmesg, ifconfig -a, /proc/scsi/scsi etc.  we
could add them to discovery instead.
Comment 3 Brock Organ 2004-05-26 12:55:32 EDT
For the network devices, this awk scriptlet should list the available
devices:

$ awk ' /Initialised Devices/,/Total device memory usage/ '
/proc/chandev | awk ' (NF==14)&&($1 !~ /irq/) { print $10;}'
eth0
eth1
ctc0
hsi2
$

please add this to discovery phase, then network devices should be
automatically detected ... an /etc/sysconfig/network-scripts/ifcfg-*
entry for each interface will  still be needed in advance of testing ...
Comment 4 Rob Landry 2004-05-26 12:59:22 EDT
any chance redhat-config-network can at least create those without
requireing the user to type them in by hand.  In theory it should work
even if it doesn't know about these "fancy" devices.
Comment 5 Brock Organ 2004-05-26 15:33:38 EDT
redhat-config-network is not able to create these devices (billgo has
already filed bug) ... this won't be corrected until U3 (at least) and
so won't help us for U2 validation ...
Comment 6 Rob Landry 2004-05-26 16:38:34 EDT
ah; oh well
Comment 7 Rob Landry 2004-05-28 12:09:38 EDT
Adding the dasd and scsi scriptlets

$ awk '/active at blocksize/ { print $7; } '  /proc/dasd/devices
<borgan> this snippet will get you your dasd list

<borgan> $ dmesg | awk ' /SCSI device/ { print $3;} ' | awk ' BEGIN
{FS=":";} { print $1; } '
<borgan> this should get you scsi disk
Comment 8 Rob Landry 2004-07-21 11:05:20 EDT
Should be resolved in 0.9-14.2 or higher

Note You need to log in before you can comment on or make changes to this bug.